
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="style.css">
    <title>Дз 3</title>
</head>
<body>
    <header>
        <ul>
            <li>About us</li>   
            <li>Projects</li>
            <li>Blog</li>
            <li>Templates</li>
            <li>Libraries</li>
        </ul>
    </header>
    <div class="content-block">
        <div class="imege">
        <img src="img.png" alt="">
        </div>
        <div class="content-div">
            <h2>How does CSS actually work?</h2>
            <div class="text-div">
                <p>
                    <strong>When a browser displays a document, it must combine the document's content with its style information.
                    It processes the document in a number of stages, which we've listed below. Bear in mind that <a>this is a
                    very  simplified version</a> of what happens when a browser loads a webpage, and that different browsers will
                    handle the process in different ways.</strong>
                </p>
                <div style="width: 856px; height: 351px;">
                    <ol>
                        <li>1.The browser loads the HTML (e.g. receives it from the network).</li>
                        
                        <li>2.It converts the HTML into a DOM (Document Object Model). The DOM represents the document in the computer's memory. The DOM is explained in a bit more detail in the next section.</li>
                        <li>3.The browser then fetches most of the resources that are linked to by the HTML document, such as embedded images, videos, and even linked CSS! JavaScript is handled a bit later on in the process, and we won't talk about it here to keep things simpler.</li>
                        <li>4.The browser parses the fetched CSS, and sorts the different rules by their selector types into different "buckets", e.g. element, class, ID, and so on. Based on the selectors it finds, it works out which rules should be applied to which nodes in the DOM, and attaches style to them as required (this intermediate step is called a render tree).</li>
                        <li>5.The render tree is laid out in the structure it should appear in after the rules have been applied to it.</li>
                        <li>6.The visual display of the page is shown on the screen (this stage is called painting).</li>
                    </ol>
                </div>
                <div class="button-div">
                    <button onclick="openLink()">Learn more</button>
                    <script>
                        function openLink() {
                          
                          var link = "https://dan-it.com.ua/uk/";
                      
                          window.open(link, "_blank");
                        }
                      </script>
    <div class="footer"> <hr> 
    <div class="footer-text"><p>All right reserved</p></div>                  

                    
                </div>
            
            </div>
        </div>        
    </div>
</body>
</html>